SSTableReadsListener.SelectionReason (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.io.sstable.format

## Enum SSTableReadsListener.SelectionReason

- java.lang.Object
- - java.lang.Enum<SSTableReadsListener.SelectionReason>
  - - org.apache.cassandra.io.sstable.format.SSTableReadsListener.SelectionReason

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SSTableReadsListener.SelectionReason>
  Enclosing interface:
    SSTableReadsListener

      public static enum SSTableReadsListener.SelectionReason
      extends java.lang.Enum<SSTableReadsListener.SelectionReason>

  The reasons for selecting an SSTable

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `INDEX_ENTRY_FOUND`
    `KEY_CACHE_HIT`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SSTableReadsListener.SelectionReason` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SSTableReadsListener.SelectionReason[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### KEY_CACHE_HIT

          public static final SSTableReadsListener.SelectionReason KEY_CACHE_HIT

    - #### INDEX_ENTRY_FOUND

          public static final SSTableReadsListener.SelectionReason INDEX_ENTRY_FOUND

  - ### Method Detail

    - #### values

          public static SSTableReadsListener.SelectionReason[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SSTableReadsListener.SelectionReason c : SSTableReadsListener.SelectionReason.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SSTableReadsListener.SelectionReason valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2018 The Apache Software Foundation